FcConfigReference(3) |  | FcConfigReference(3)

# NAME

FcConfigReference - Increment config reference count

# SYNOPSIS

    #include <fontconfig/fontconfig.h>

    FcConfig * FcConfigReference (FcConfig *config);

# DESCRIPTION

Add another reference to config. Configs are freed only when the reference count reaches zero. If config is NULL, the current configuration is used. In that case this function will be similar to FcConfigGetCurrent() except that it increments the reference count before returning and the user is responsible for destroying the configuration when not needed anymore.

22 12月 2023 | Fontconfig 2.15.0